FLANG

Public Member Functions | Static Public Member Functions | Friends | List of all members
Fortran::semantics::Bound Class Reference

## Public Member Functions
| Bound (MaybeSubscriptIntExpr &&expr)
| Bound (int bound)
| Bound (const Bound &)=default
| Bound (Bound &&)=default
Bound & | operator= (const Bound &)=default
Bound & | operator= (Bound &&)=default
bool | isExplicit () const
bool | isAssumed () const
bool | isDeferred () const
MaybeSubscriptIntExpr & | GetExplicit ()
const MaybeSubscriptIntExpr & | GetExplicit () const
void | SetExplicit (MaybeSubscriptIntExpr &&expr)

## Static Public Member Functions
static Bound | Assumed ()
static Bound | Deferred ()

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const Bound &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/type.h
- lib/Semantics/type.cpp